---
title: "GET /blueprintchanges/search - Blueprint Changes · RUAL Documentation"
description: "Search blueprint changes (GET) with Elasticsearch query parameters"
canonical: https://docs.rual.nl/cluster/api/blueprint-changes/blueprintchanges-search-get
language: en
---

# GET /blueprintchanges/search

Search blueprint changes (GET) with Elasticsearch query parameters

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **offset** optional | `integer` | `1` | Elasticsearch query offset parameter |
| **limit** optional | `integer` | `1` | Elasticsearch query limit parameter |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

```
{}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `blueprintchanges_view` | Required scope: blueprintchanges_view |
